#!/usr/bin/env python
# -*- coding=utf-8 -*-
# if you have any suggestions, you can email me at oooo4dzd@gmail.com

import os, gtk, pynotify,webkit,gobject,sys,webbrowser

URL = "http://www.1g1g.com"
ICON = os.path.join(os.path.dirname(__file__), 'note_2561.png')# change it to ur own favoured ico
icon=os.path.join(os.path.dirname(__file__), 'note_48.png')
VERSION = "Gnome3"
NAME = "1g1g"

class WebBrowser(gtk.Window):

	
	
	def __init__(self):	
		gtk.Window.__init__(self)
		self.set_default_size(300, 500)		
		self.page = webkit.WebView()
		self.add(self.page)
		self.show_all()
		self.page.open(URL)
		self.connect("delete_event", self.minimize)
		self.connect('check-resize', self.check_resize)
		self.resizable=(0,0)
		
	def minimize(self, widget, event, data=None):
		self.hide()
		return True
	def check_resize(self, window):
		self.set_size_request(300,500)
	
	

class Tray():
	
	def __init__(self, window):
		self.window = window		
		self.tray = gtk.StatusIcon()
		self.tray.set_from_file(ICON)
		self.window.set_icon_from_file(icon)
		self.tray.set_tooltip(NAME + '\n ' + VERSION)
		self.tray.connect('activate', self.clickTray)
		self.tray.connect('popup-menu', self.popUp)
		self.window.page.connect('title-changed', self.titleChange)
		

	def titleChange(self,a,b, title):
		pagetitle=title
		self.window.set_title(title)
		
		#uncomment the next lines if you have gnome-osd installed
		#a="gnome-osd-client"+" "+'"'+pagetitle.lstrip()+'"' 		
		#os.system(a)
		
	def clickTray(self, widget):
		if self.window.get_property('is-active'):
			self.window.hide()
		else:
			self.window.present()

	def popUp(self, statusicon, button, activate_time):
		pop_menu = gtk.Menu()
		
		item1 = gtk.ImageMenuItem(gtk.STOCK_QUIT)
		item1.connect("activate", self.quit)
		pop_menu.append(item1)
		
		item2 = gtk.MenuItem('Suggestions\n')
		item2.connect("activate", self.mailme)
		pop_menu.append(item2)

		pop_menu.show_all()
		pop_menu.popup(None, None, None, 0, gtk.get_current_event_time())

	def mailme(self, widget):
		webbrowser.open("mailto:oooo4dzd@gmail.com")
		
	
	def quit(self,widget):
		gtk.main_quit()
		
	


class music():
	
	def __init__(self):
		self.window = WebBrowser()
		self.tray = Tray(self.window)

if __name__ == '__main__':
	music()
	gtk.main()
